> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 按技术分类的域名

> 此端点根据域名使用的技术提供域名。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/domain_analytics/technologies/domains_by_technology/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/domain_analytics/technologies/domains_by_technology/live:
    post:
      summary: 按技术分类的域名
      description: 此端点根据域名使用的技术提供域名数据。除域名列表外，您还将获得其技术资料、所属国家和语言以及其他相关数据。
      operationId: post_dataforseo_domain_analytics_technologies_domains_by_technology_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                technology_paths:
                  type: array
                  items:
                    type: string
                  description: >-
                    目标技术路径，必填字段；如果未指定 groups、technologies、keywords 或
                    categories，则至少必须设置一个字段（technology_paths、groups、technologies、keywords
                    或
                    categories）；每个技术路径应指定为一个独立对象，其中包含“path”和“name”，“path”指定为“$group_id.$category_id”，“name”指定为目标技术的名称；包含技术路径的各对象应使用逗号分隔；您可以在此页面找到技术组
                    ID、类别 ID 和技术名称的完整列表；注意：此数组中最多可以指定 10 个技术路径；示例：[{"path":
                    "content.cms","name": "wordpress"}, {"path":
                    "marketing.crm","name": "salesforce"}]
                groups:
                  type: array
                  items:
                    type: string
                  description: >-
                    目标技术组的 ids；必填字段。如果未指定 technologies、technology_paths、keywords
                    或 categories，您可以在此页面查找完整的技术组 ids 列表；注意：此数组最多可指定 10
                    个技术组；示例：["sales", "marketing"]
                categories:
                  type: array
                  items:
                    type: string
                  description: >-
                    目标技术类别的 ids。如果未指定 groups、technology_paths、keywords 或
                    technologies，则此字段为必填字段。您可以在此页面找到技术类别 ids 的完整列表。注意：此数组最多可指定
                    10 个技术类别。示例：["payment_processors","crm"]
                technologies:
                  type: array
                  items:
                    type: string
                  description: >-
                    目标技术 如果未指定 groups、technology_paths、keywords 或
                    categories，则为必填字段 您可以在此页面查看可指定的完整技术列表 注意：此数组中最多可指定 10 项技术
                    示例：["Google Pay","Salesforce"]
                keywords:
                  type: array
                  items:
                    type: string
                  description: >-
                    域名的标题、描述或 meta keywords 中的目标关键词。如果未指定
                    groups、technology_paths、technologies 或
                    categories，则为必填字段。可选字段。最多可以指定 10 个关键词；UTF-8
                    编码；示例：["seo","software"]。有关 DataForSEO API 中 keyword 和
                    keywords 字段的规则与限制，请参阅此帮助中心文章。
                mode:
                  type: string
                  description: >-
                    搜索模式；可选字段。可用的搜索模式类型：as_is – 搜索与指定的组 ID、类别 ID
                    或技术名称完全匹配的结果；entry – 搜索与指定的组 ID、类别 ID 或技术名称部分匹配的结果。默认值：as_is
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果过滤参数数组，可选字段。你可以同时添加多个过滤条件（最多 8 个）。应在条件之间设置逻辑运算符
                    and、or。支持以下运算符： 、 、>、>=、=、 、in、not_in、like、not_like。你可以将 %
                    运算符与 like 和 not_like
                    配合使用，以匹配包含零个或多个字符的任意字符串。示例：["country_iso_code","=","US"]
                    [["country_iso_code","=","US"], "and",
                    ["domain_rank",">",100]] [["domain_rank",">",100], "and",
                    [["country_iso_code","=","US"],"or",["country_iso_code","=","CA"]]]
                    有关过滤条件的更多信息，请参阅 Domain Analytics Technologies API – Filters。
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果排序规则。可选字段。可用字段：domain_rank、domain、last_visited、country_iso_code、language_code、content_language_code。可用排序类型：asc
                    – 结果按升序排列；desc –
                    结果按降序排列。应使用逗号设置排序类型。示例：["last_visited,desc"]。默认规则：["domain_rank,desc"]。请注意，单个请求中最多可以设置三条排序规则。应使用逗号分隔多条排序规则。示例：["last_visited,desc","domain_rank,desc"]
                limit:
                  type: integer
                  description: 返回域名的最大数量；可选字段，默认值：100，最大值：10000
                offset:
                  type: integer
                  description: >-
                    返回域名的结果数组偏移量。可选字段。默认值：0。如果指定值
                    10，结果数组中的前十个域名将被省略，并返回后续域名的数据；注意：最大值为 9999，limit 与 offset
                    之和不得超过 10000；如果希望偏移更多结果，请使用 offset_token
                offset_token:
                  type: string
                  description: >-
                    后续请求使用的 token 可选字段，在每次请求响应的相同字段中提供；尝试通过单次请求获取超过 100,000
                    条结果时，可使用此参数避免超时；通过指定响应数组中的唯一 offset_token
                    值，可以获取初始任务的后续结果；每个后续任务的 offset_token 值都是唯一的。注意：如果请求中指定了
                    offset_token，则所有其他参数都应与上一次请求相同。有关此参数的更多信息，请参阅我们的帮助中心
              required:
                - technology_paths
                - groups
                - categories
                - technologies
                - keywords
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中相关项目的总数
                  tasks.result.items_count:
                    type: integer
                    description: results 数组中的项目数量
                  tasks.result.offset:
                    type: integer
                    description: 指定的偏移值
                  tasks.result.offset_token:
                    type: string
                    description: >-
                      用于后续请求的 token 设置新任务时指定唯一的
                      offset_token，即可获得初始任务的后续结果；每个后续任务的 offset_token 值均唯一
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: items 数组
                  tasks.result.type:
                    type: string
                    description: 项目类型 = ‘domain_technology_item’
                  tasks.result.domain:
                    type: string
                    description: 指定的域名
                  tasks.result.title:
                    type: string
                    description: 域名元标题
                  tasks.result.description:
                    type: string
                    description: 域名元描述
                  tasks.result.meta_keywords:
                    type: array
                    items:
                      type: string
                    description: 域名元关键词
                  tasks.result.domain_rank:
                    type: string
                    description: 目标域名的反向链接排名；有关该指标及其计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.last_visited:
                    type: string
                    description: >-
                      我们的爬虫最近一次访问该域名的日期，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss +00:00”
                      示例：2022-10-10 12:57:46 +00:00
                  tasks.result.country_iso_code:
                    type: string
                    description: 域名 ISO 代码 目标域名经判定所属国家/地区的 ISO 代码
                  tasks.result.language_code:
                    type: string
                    description: 域名语言代码，表示目标域名经判定关联的语言
                  tasks.result.content_language_code:
                    type: string
                    description: 目标域名内容所使用语言的内容语言代码
                  tasks.result.phone_numbers:
                    type: array
                    items:
                      type: string
                    description: 目标联系人的电话号码，即目标网站上标示的电话号码
                  tasks.result.emails:
                    type: array
                    items:
                      type: string
                    description: 目标网站上标明的目标电子邮件地址
                  tasks.result.social_graph_urls:
                    type: array
                    items:
                      type: string
                    description: 社交媒体链接和账号，即在目标网站的社交关系图中检测到的社交媒体 URL
                  tasks.result.technologies:
                    type: object
                    description: >-
                      目标域名使用的技术；包含由网站所用技术名称组成的对象；如需获取完整的技术列表及其结构，请参阅
                      technologies 端点
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````